module Terms
( Atom
, Name
, Term(..)
, Slot(..)
) where

type Atom = String
type Name = String

data Term
  = Compound Atom [Term]
  | Var Slot
  deriving (Eq, Show) 

newtype Slot = Slot Int
  deriving (Eq, Show)
